#!/bin/bash

# Liste des datasets à nettoyer
LOCAL_DATASETS=("data/database" "data/minio" "data/standard")

echo "🧹 Début du nettoyage des propriétés *:*..."

for dataset in "${LOCAL_DATASETS[@]}"; do
    echo "🔍 Nettoyage des propriétés pour $dataset..."

    # Ignore les snapshots
    if [[ "$dataset" == *"@"* ]]; then
        echo "⚠️ Snapshot ignoré : $dataset"
        continue
    fi

    # Liste et suppression des propriétés locales avec format *:*
    while IFS=$'\t' read -r property value source; do
        if [[ "$source" == "local" && "$property" == *:* ]]; then
            echo "❌ Suppression de $property sur $dataset"
            sudo zfs inherit "$property" "$dataset" || echo "⚠️ Erreur suppression $property sur $dataset"
        fi
    done < <(zfs get -H -o property,value,source all "$dataset")

    echo "✅ Propriétés *:* supprimées pour $dataset."
done

echo "🎉 Nettoyage terminé."
